<?
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
$temp_set=$set;
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';


$set['title']='Бан';
include_once '../sys/inc/thead.php';
title();

if (isset($_POST['save']) && isset($_POST['msg']) && isset($_POST['msgb']))
{
$msgb=my_esc($_POST['msgb']);
$msg=my_esc($_POST['msg']);
if (strlen2($msg)>7)$err='Сообщение превышает 7 символа';
if (strlen2($msg)<1)$err='Слишком короткое сообщение';

if (strlen2($msgb)>1024)$err='Сообщение превышает 1024 символа';
if (strlen2($msgb)<2)$err='Слишком короткое сообщение';
if (!isset($err))
{


$time=time();
$bantime=intval($_POST[msgb])+$time;
mysql_query("UPDATE `user` SET `mafiozi_bantime` = '$bantime' WHERE `id` = '$msg'");

}

msg('Успешно');

}



err();
aut();

if($user['id']==1 || $user['id']==2 || $user['id']==3 || $user['id']==11 || $user['id']==29){

echo "<form method=\"post\" action=\"?\">\n";
echo "Бан:<br />\n<textarea name=\"msg\">Здесь пишите реальный id юзера</textarea><br />\n";
echo "<textarea name=\"msgb\">Здесь пишите на сколько забанить юзера в секундах. 60секунд-1минута, максимум 600секунд-10минут</textarea><br />\n";

echo "<input value=\"Выполнить\" name='save' type=\"submit\" />\n";
echo "</form>\n";


}
else
{
echo "Вы не модер";
}
echo "<div class='foot'>\n";

echo "&laquo;<a href='moderka.php'>В админку</a><br />\n";
echo "</div>\n";

include_once '../sys/inc/tfoot.php';
?>
